Page MenuHomePhabricator

[X86] Use addAliasForDirective to support the .word directive
ClosedPublic

Authored by asb on May 17 2018, 12:54 AM.

Details

Diff Detail

Repository
rL LLVM

Event Timeline

asb created this revision.May 17 2018, 12:54 AM

I'm not very familiar with this code but it looks OK and the same approach is used in AARCH64, Sparc and Hexagon.

X86AsmParser::ParseDirectiveWord is approximately the same as AsmParser::parseDirectiveValue although AsmParser has extra checks (is asm in valid section, error checks for parseMany call).

@craig.topper Any comments?

RKSimon accepted this revision.Jun 11 2018, 2:03 AM

LGTM - thanks.

This revision is now accepted and ready to land.Jun 11 2018, 2:03 AM

@asb What's the plan for this patch?

@asb This still hasn't landed - are you waiting on anything?

This revision was automatically updated to reflect the committed changes.
asb added a comment.Jul 2 2018, 6:42 AM

Thanks for the review and sorry for the delay in committing. Committed in rL336100.